package com.qianhe.mapper;

import java.util.List;
import com.qianhe.domain.BzscZczscZb;
import com.qianhe.domain.BzscZczscCb;

/**
 * 标准手册-注采站管理手册-主Mapper接口
 * 
 * @author qianhe
 * @date 2024-09-11
 */
public interface BzscZczscZbMapper 
{
    /**
     * 查询标准手册-注采站管理手册-主
     * 
     * @param ID 标准手册-注采站管理手册-主主键
     * @return 标准手册-注采站管理手册-主
     */
    public BzscZczscZb selectBzscZczscZbByID(Long ID);

    /**
     * 查询标准手册-注采站管理手册-主列表
     * 
     * @param bzscZczscZb 标准手册-注采站管理手册-主
     * @return 标准手册-注采站管理手册-主集合
     */
    public List<BzscZczscZb> selectBzscZczscZbList(BzscZczscZb bzscZczscZb);

    /**
     * 新增标准手册-注采站管理手册-主
     * 
     * @param bzscZczscZb 标准手册-注采站管理手册-主
     * @return 结果
     */
    public int insertBzscZczscZb(BzscZczscZb bzscZczscZb);

    /**
     * 修改标准手册-注采站管理手册-主
     * 
     * @param bzscZczscZb 标准手册-注采站管理手册-主
     * @return 结果
     */
    public int updateBzscZczscZb(BzscZczscZb bzscZczscZb);

    /**
     * 删除标准手册-注采站管理手册-主
     * 
     * @param ID 标准手册-注采站管理手册-主主键
     * @return 结果
     */
    public int deleteBzscZczscZbByID(Long ID);

    /**
     * 批量删除标准手册-注采站管理手册-主
     * 
     * @param IDs 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBzscZczscZbByIDs(Long[] IDs);

    /**
     * 批量删除标准手册-注采站管理手册-从
     * 
     * @param IDs 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBzscZczscCbByZbIds(Long[] IDs);
    
    /**
     * 批量新增标准手册-注采站管理手册-从
     * 
     * @param bzscZczscCbList 标准手册-注采站管理手册-从列表
     * @return 结果
     */
    public int batchBzscZczscCb(List<BzscZczscCb> bzscZczscCbList);
    

    /**
     * 通过标准手册-注采站管理手册-主主键删除标准手册-注采站管理手册-从信息
     * 
     * @param ID 标准手册-注采站管理手册-主ID
     * @return 结果
     */
    public int deleteBzscZczscCbByZbId(Long ID);

    int insertBzscZczscCb(BzscZczscCb bzscZczscCb);

    List<BzscZczscCb> selectBzscZczscCbByID(Long ID);

}
